> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/brand-management/v1/connected-tenants-locations > Retrieves a paginated list of connected tenants and their locations ## OpenAPI ````json GET /public/brand-management/v1/connected-tenants-locations { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/brand-management/v1/connected-tenants-locations": { "get": { "tags": [ "netcore" ], "description": "Retrieves a paginated list of connected tenants and their locations", "parameters": [ { "name": "pageSize", "in": "query", "description": "Maximum number of tenants to return per page. Must be between 1 and 250. Defaults to 250", "schema": { "type": "integer", "format": "int32", "default": 250 } }, { "name": "continuationToken", "in": "query", "description": "Pagination token from a previous response. Omit to start from the first page", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Connected Brand tenants and their locations (paginated).", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionPaginatedResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionPaginatedResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionPaginatedResponse" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.Microsoft.AspNetCore.Mvc.ProblemDetails" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.Microsoft.AspNetCore.Mvc.ProblemDetails" } } } } } } } }, "components": { "schemas": { "R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionPaginatedResponse": { "type": "object", "properties": { "entities": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionLocation" }, "description": "Items on the current page." }, "nextPage": { "type": "string", "description": "Absolute URL for the next page of results. Null/omitted when there is no next page.", "format": "uri", "nullable": true } }, "description": "Paged list of brand subscription locations." }, "R365.Brands.Contracts.BrandSubscriptions.Microsoft.AspNetCore.Mvc.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionLocation": { "type": "object", "properties": { "tenantId": { "type": "integer", "description": "The tenant's unique identifier.", "format": "int32" }, "tenantName": { "type": "string", "description": "Tenant display name." }, "locations": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Brands.Contracts.BrandSubscriptions.Location" } } } }, "R365.Brands.Contracts.BrandSubscriptions.Location": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the location." }, "number": { "type": "string", "description": "Number assigned to the location." }, "name": { "type": "string", "description": "Display name of the location." } } } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````